Bug 2061 - Using mknod() to create regular files
Summary: Using mknod() to create regular files
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: hurd (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks: libc237
  Show dependency treegraph
 
Reported: 2005-12-15 22:16 UTC by Thomas Schwinge
Modified: 2018-04-19 14:12 UTC (History)
3 users (show)

See Also:
Host: i586-pc-gnu
Target: i586-pc-gnu
Build: i586-pc-gnu
Last reconfirmed: 2006-02-06 00:39:56
fweimer: security-


Attachments
Proposed patch. (620 bytes, patch)
2005-12-15 22:17 UTC, Thomas Schwinge
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Schwinge 2005-12-15 22:16:37 UTC
With the Linux kernel, mknod() can be used (and is actually used) to create a
regular file specifing `S_IFREG' as the mode.
The attached patch adds this functionality to the Hurd port of glibc.

Please apply it to both the trunk and glibc-2_3-branch.
Comment 1 Thomas Schwinge 2005-12-15 22:17:35 UTC
Created attachment 805 [details]
Proposed patch.
Comment 2 cvs-commit@gcc.gnu.org 2005-12-20 21:57:50 UTC
Subject: Bug 2061

CVSROOT:	/cvs/glibc
Module name:	libc
Changes by:	roland@sources.redhat.com	2005-12-20 21:57:47

Modified files:
	sysdeps/mach/hurd: xmknod.c 

Log message:
	2005-12-15  Thomas Schwinge  <tschwinge@gnu.org>
	
	[BZ #2061]
	* sysdeps/mach/hurd/xmknod.c (__xmknod): Handle S_IFREG.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/sysdeps/mach/hurd/xmknod.c.diff?cvsroot=glibc&r1=1.7&r2=1.8

Comment 3 Roland McGrath 2006-02-06 00:39:56 UTC
This still needs to go on the 2.3 branch.
Comment 4 Samuel Thibault 2007-07-21 21:42:08 UTC
Fixed in latest release, 2.3 doesn't really matter nowadays.
Comment 5 Samuel Thibault 2007-07-21 21:42:54 UTC
Fixed in latest release.